Bug 113875 - 1bpp grey-level PNG images are mis-exported to PDF (as black&white)
Summary: 1bpp grey-level PNG images are mis-exported to PDF (as black&white)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tor Lillqvist
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-16 10:17 UTC by Tor Lillqvist
Modified: 2018-02-22 14:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (28.73 KB, application/vnd.oasis.opendocument.text)
2017-11-16 10:21 UTC, Tor Lillqvist
Details
As exported to PDF by current master (10.46 KB, application/pdf)
2017-11-16 10:22 UTC, Tor Lillqvist
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-11-16 10:17:20 UTC
Description:
When a document uses a one bit per pixel grey-level PNG image (typically a watermark with light grey text on white background) as a page background, it is exported as a black-and-white image in PDF.

Steps to Reproduce:
See attached samples.

Actual Results:  
.

Expected Results:
.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_1) AppleWebKit/604.3.5 (KHTML, like Gecko) Version/11.0.1 Safari/604.3.5
Comment 1 Tor Lillqvist 2017-11-16 10:18:42 UTC
(Currently in master, the background image shows up in Writer as black&white, too, but that is a separate bug.)
Comment 2 Tor Lillqvist 2017-11-16 10:21:18 UTC
Created attachment 137803 [details]
Sample document
Comment 3 Tor Lillqvist 2017-11-16 10:22:47 UTC
Created attachment 137804 [details]
As exported to PDF by current master
Comment 4 Commit Notification 2017-11-16 10:54:36 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab99d4611cde968d02b97af63b74b80a427399a9

tdf#113875: Properly export 1bpp greylevel (but not B&W) PNG images to PDF

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-11-27 14:29:22 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f42d1a7788dc8f6e80c9c0a8e7ac8b04001dc941&h=libreoffice-5-4

tdf#113875: Properly export 1bpp greylevel (but not B&W) PNG images to PDF

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.